Subject: 31.0.50; Wrong install location for systemd user unit file

From: Ulrich Müller <[email-masked]>
Date: Mon, 10 Mar 2025 19:56:05 +0100

The top-level Makefile.in defines systemdunitdir=$(libdir)/systemd/user
where libdir is taken from the --libdir configure option, so typically
it will be /usr/local/lib64 or /usr/lib64 on a 64-bit system.

This appears to be wrong, the file should be installed in a fixed "lib"
location, not $(libdir).

Reference:
https://www.freedesktop.org/software/systemd/man/latest/systemd.unit.html#id-1.8.5

Table 2 lists these locations:
/usr/local/lib/systemd/user	User units installed by the administrator
/usr/lib/systemd/user	User units installed by the distribution package manager

Possible solutions:
- Install in systemdunitdir=$(prefix)/lib/systemd/user
- Add a --with-systemduserunitdir option (this was already suggested
  in bug #16507 message #28)